#!/bin/sh

SKELETON_DIR="/usr/local/skel"

file_size() {
   ls -l $file | awk '{print $5}'
}

file_name() {
   echo $file | sed -e 's/\/.*\///g'
}

file_path() {
   name=$(file_name)
   echo $file | sed -e "s/\/$name//g"
}

while read -r file
do
   # create folder if nonexistent
   if [ ! -d $(file_path) ]; then
      mkdir -p $(file_path)
   fi

   # create file if nonexistent
   if [ ! -e $file ]; then
      touch $file
   fi

   # copy file if empty
   if [ $(file_size) -eq 0 ]; then
      cp -fp $SKELETON_DIR/$(file_name) $file
      echo "restore $(file_name) from $SKELETON_DIR" > /dev/console
   fi

done << 'EOL'
/usr/local/bin/automount_device
/usr/local/bin/pkgupdate
/usr/local/bin/clipopup
/usr/local/bin/confirmaction
/usr/local/share/powerview/motupdatekey141.pem
/lib/udev/rules.d/80-usb-update.rules
EOL

# force ubifs backwrite to flush caches
sync
echo 3 > /proc/sys/vm/drop_caches
